org.opencv.bgsegm

## Class Bgsegm

- java.lang.Object
- - org.opencv.bgsegm.Bgsegm

-     public class Bgsegm
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `LSBP_CAMERA_MOTION_COMPENSATION_LK`
    `static int` | `LSBP_CAMERA_MOTION_COMPENSATION_NONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bgsegm()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BackgroundSubtractorCNT` | `createBackgroundSubtractorCNT()`
    `static BackgroundSubtractorCNT` | `createBackgroundSubtractorCNT(int minPixelStability, boolean useHistory, int maxPixelStability, boolean isParallel)`
    `static BackgroundSubtractorGMG` | `createBackgroundSubtractorGMG()`
    `static BackgroundSubtractorGMG` | `createBackgroundSubtractorGMG(int initializationFrames, double decisionThreshold)`
    `static BackgroundSubtractorGSOC` | `createBackgroundSubtractorGSOC()`
    `static BackgroundSubtractorGSOC` | `createBackgroundSubtractorGSOC(int mc, int nSamples, float replaceRate, float propagationRate, int hitsThreshold, float alpha, float beta, float blinkingSupressionDecay, float blinkingSupressionMultiplier, float noiseRemovalThresholdFacBG, float noiseRemovalThresholdFacFG)`
    `static BackgroundSubtractorLSBP` | `createBackgroundSubtractorLSBP()`
    `static BackgroundSubtractorLSBP` | `createBackgroundSubtractorLSBP(int mc, int nSamples, int LSBPRadius, float Tlower, float Tupper, float Tinc, float Tdec, float Rscale, float Rincdec, float noiseRemovalThresholdFacBG, float noiseRemovalThresholdFacFG, int LSBPthreshold, int minCount)`
    `static BackgroundSubtractorMOG` | `createBackgroundSubtractorMOG()`
    `static BackgroundSubtractorMOG` | `createBackgroundSubtractorMOG(int history, int nmixtures, double backgroundRatio, double noiseSigma)`
    `static SyntheticSequenceGenerator` | `createSyntheticSequenceGenerator(Mat background, Mat object)`
    `static SyntheticSequenceGenerator` | `createSyntheticSequenceGenerator(Mat background, Mat object, double amplitude, double wavelength, double wavespeed, double objspeed)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LSBP_CAMERA_MOTION_COMPENSATION_NONE

          public static final int LSBP_CAMERA_MOTION_COMPENSATION_NONE

      See Also:
        Constant Field Values

    - #### LSBP_CAMERA_MOTION_COMPENSATION_LK

          public static final int LSBP_CAMERA_MOTION_COMPENSATION_LK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Bgsegm

          public Bgsegm()

  - ### Method Detail

    - #### createBackgroundSubtractorCNT

          public static BackgroundSubtractorCNT createBackgroundSubtractorCNT(int minPixelStability,
                                                                              boolean useHistory,
                                                                              int maxPixelStability,
                                                                              boolean isParallel)

    - #### createBackgroundSubtractorCNT

          public static BackgroundSubtractorCNT createBackgroundSubtractorCNT()

    - #### createBackgroundSubtractorGMG

          public static BackgroundSubtractorGMG createBackgroundSubtractorGMG(int initializationFrames,
                                                                              double decisionThreshold)

    - #### createBackgroundSubtractorGMG

          public static BackgroundSubtractorGMG createBackgroundSubtractorGMG()

    - #### createBackgroundSubtractorGSOC

          public static BackgroundSubtractorGSOC createBackgroundSubtractorGSOC(int mc,
                                                                                int nSamples,
                                                                                float replaceRate,
                                                                                float propagationRate,
                                                                                int hitsThreshold,
                                                                                float alpha,
                                                                                float beta,
                                                                                float blinkingSupressionDecay,
                                                                                float blinkingSupressionMultiplier,
                                                                                float noiseRemovalThresholdFacBG,
                                                                                float noiseRemovalThresholdFacFG)

    - #### createBackgroundSubtractorGSOC

          public static BackgroundSubtractorGSOC createBackgroundSubtractorGSOC()

    - #### createBackgroundSubtractorLSBP

          public static BackgroundSubtractorLSBP createBackgroundSubtractorLSBP(int mc,
                                                                                int nSamples,
                                                                                int LSBPRadius,
                                                                                float Tlower,
                                                                                float Tupper,
                                                                                float Tinc,
                                                                                float Tdec,
                                                                                float Rscale,
                                                                                float Rincdec,
                                                                                float noiseRemovalThresholdFacBG,
                                                                                float noiseRemovalThresholdFacFG,
                                                                                int LSBPthreshold,
                                                                                int minCount)

    - #### createBackgroundSubtractorLSBP

          public static BackgroundSubtractorLSBP createBackgroundSubtractorLSBP()

    - #### createBackgroundSubtractorMOG

          public static BackgroundSubtractorMOG createBackgroundSubtractorMOG(int history,
                                                                              int nmixtures,
                                                                              double backgroundRatio,
                                                                              double noiseSigma)

    - #### createBackgroundSubtractorMOG

          public static BackgroundSubtractorMOG createBackgroundSubtractorMOG()

    - #### createSyntheticSequenceGenerator

          public static SyntheticSequenceGenerator createSyntheticSequenceGenerator(Mat background,
                                                                                    Mat object,
                                                                                    double amplitude,
                                                                                    double wavelength,
                                                                                    double wavespeed,
                                                                                    double objspeed)

    - #### createSyntheticSequenceGenerator

          public static SyntheticSequenceGenerator createSyntheticSequenceGenerator(Mat background,
                                                                                    Mat object)

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1